/**
 * <h1>Graph package</h1>
 * 
 * The graph package provides a general very simple abstraction of a graph. 
 * It was developed for the IOC container to represent dependences between 
 * components through their required and provided interfaces.
 * 
 * The graph package supports a number of simple graph traversal operations, graph
 * extension operations, and a visitor pattern. 
 * 
 * The main abstractions are: 
 * <ul>
 *    <li> {@link Graph}: The graph itself. </li> 
 *    <li> {@link Node}: A node of a graph. </li>
 *    <li> {@link Edge}: An edge of a graph> </li>
 *    <li> {@link Visitor}: A visitor for implementing various operations on a graph. </li>
 *    <li> {@link EdgeFactory}: For extending the graph with new edges </li>
 * </ul>
 */
package org.wamblee.system.graph;